
QGIS Application - Bug report #1958

[OS X] crash when digitizing on MacOS X Leopard with snapping tolerance > 0

2009-09-29 01:59 AM - ayepri -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12018

Description

When adding points on a vector layer with the toggle editing mode, Qgis 1.3 crashes on Mac OS X if snapping is not set to zero in the

general preferences window.

Setting snapping to 0 solves the bug.

History

#1 - 2009-11-29 05:46 AM - Giovanni Manghi

What is the status of this bug?

#2 - 2009-12-02 02:11 AM - ayepri -

Replying to [comment:1 lutra]:

What is the status of this bug?

Sorry, I don't know what the "status" of a bug is.

But I noticed that Qgis crashes if the option File/Project Properties/Snapping Options/Tolerance is set > 0 for the layer currently edited.

cheers

#3 - 2009-12-02 05:49 AM - Giovanni Manghi

http://en.wikipedia.org/wiki/Status

#4 - 2009-12-19 09:27 AM - Paolo Cavallini

I s this confirmed by other OSX users for current trunk?

#5 - 2010-01-17 09:43 AM - William Kyngesburye

Sorry it took so long to try this.
http://en.wikipedia.org/wiki/Status


I tried creating a new line shapefile in both 1.3 and the new 1.4.  Digitizing with a snapping tolerance > 0 works.

ayepri: what kind of vector layer?  Which OSX version?  Standalone Qgis or full version?

#6 - 2010-01-17 09:47 AM - William Kyngesburye

Also, can you attach a crashlog?

#7 - 2010-01-18 02:04 AM - ayepri -

as well, for some reasons, I'm currently unable to obtain this crash again with the latest version of QGIS (1.4.0) (both long/lat and UTM work with .shp file

created with Qgis)

I'll try this out later. but seems all right, sorry for any inconvenience.

#8 - 2010-01-22 11:58 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

reopen if necessary
